< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mdtpauthorisation
  Definition Classes
    hmrc
-  package models
  Definition Classes
    mdtpauthorisation
- Activated
- AffinityGroup
- Agent
- AgentInformation
- Assistant
- AuthProvider
- BusinessKey
- ConfidenceLevel
- CredentialRole
- CredentialStrength
- Credentials
- Email
- Enrolment
- EnrolmentIdentifier
- EnrolmentState
- Enrolments
- GatewayInformation
- GovernmentGateway
- Individual
- ItmpAddress
- ItmpName
- LoginTimes
- MdtpInformation
- Name
- Nino
- NotYetActivated
- OauthTokens
- OneTimeLogin
- Organisation
- PostCode
- PrivilegedApplication
- Relationship
- StandardApplication
- Strong
- TrustedHelper
- User
- Verify
- Weak

t

uk.gov.hmrc.mdtpauthorisation.models

# CredentialStrength 

###
Companion object CredentialStrength

#### sealed trait CredentialStrength extends Product with Serializable

https://typelevel.org/blog/2018/05/09/product-with-serializable.html

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Known Subclasses
Strong, Weak
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CredentialStrength
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def canEqual(that: Any): Boolean
   Definition Classes
     Equals
2.  abstract def productArity: Int
   Definition Classes
     Product
3.  abstract def productElement(n: Int): Any
   Definition Classes
     Product

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def productIterator: Iterator[Any]
    Definition Classes
      Product
16.  def productPrefix: String
    Definition Classes
      Product
17.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped